<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XSyslogConfig StructType
 * @subpackage Structs
 */
class XSyslogConfig extends AbstractStructBase
{
    /**
     * The AlarmLevelEvent
     * @var string
     */
    public $AlarmLevelEvent;
    /**
     * The RemoteServerName1
     * @var string
     */
    public $RemoteServerName1;
    /**
     * The RemoteServerName2
     * @var string
     */
    public $RemoteServerName2;
    /**
     * The RemoteServerName3
     * @var string
     */
    public $RemoteServerName3;
    /**
     * The RemoteServerName4
     * @var string
     */
    public $RemoteServerName4;
    /**
     * The RemoteServerName5
     * @var string
     */
    public $RemoteServerName5;
    /**
     * The monitor
     * @var string
     */
    public $monitor;
    /**
     * The Enable
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $Enable;
    /**
     * Constructor method for XSyslogConfig
     * @uses XSyslogConfig::setAlarmLevelEvent()
     * @uses XSyslogConfig::setRemoteServerName1()
     * @uses XSyslogConfig::setRemoteServerName2()
     * @uses XSyslogConfig::setRemoteServerName3()
     * @uses XSyslogConfig::setRemoteServerName4()
     * @uses XSyslogConfig::setRemoteServerName5()
     * @uses XSyslogConfig::setMonitor()
     * @uses XSyslogConfig::setEnable()
     * @param string $alarmLevelEvent
     * @param string $remoteServerName1
     * @param string $remoteServerName2
     * @param string $remoteServerName3
     * @param string $remoteServerName4
     * @param string $remoteServerName5
     * @param string $monitor
     * @param string $enable
     */
    public function __construct($alarmLevelEvent = null, $remoteServerName1 = null, $remoteServerName2 = null, $remoteServerName3 = null, $remoteServerName4 = null, $remoteServerName5 = null, $monitor = null, $enable = null)
    {
        $this
            ->setAlarmLevelEvent($alarmLevelEvent)
            ->setRemoteServerName1($remoteServerName1)
            ->setRemoteServerName2($remoteServerName2)
            ->setRemoteServerName3($remoteServerName3)
            ->setRemoteServerName4($remoteServerName4)
            ->setRemoteServerName5($remoteServerName5)
            ->setMonitor($monitor)
            ->setEnable($enable);
    }
    /**
     * Get AlarmLevelEvent value
     * @return string|null
     */
    public function getAlarmLevelEvent()
    {
        return $this->AlarmLevelEvent;
    }
    /**
     * Set AlarmLevelEvent value
     * @param string $alarmLevelEvent
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSyslogConfig
     */
    public function setAlarmLevelEvent($alarmLevelEvent = null)
    {
        $this->AlarmLevelEvent = $alarmLevelEvent;
        return $this;
    }
    /**
     * Get RemoteServerName1 value
     * @return string|null
     */
    public function getRemoteServerName1()
    {
        return $this->RemoteServerName1;
    }
    /**
     * Set RemoteServerName1 value
     * @param string $remoteServerName1
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSyslogConfig
     */
    public function setRemoteServerName1($remoteServerName1 = null)
    {
        $this->RemoteServerName1 = $remoteServerName1;
        return $this;
    }
    /**
     * Get RemoteServerName2 value
     * @return string|null
     */
    public function getRemoteServerName2()
    {
        return $this->RemoteServerName2;
    }
    /**
     * Set RemoteServerName2 value
     * @param string $remoteServerName2
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSyslogConfig
     */
    public function setRemoteServerName2($remoteServerName2 = null)
    {
        $this->RemoteServerName2 = $remoteServerName2;
        return $this;
    }
    /**
     * Get RemoteServerName3 value
     * @return string|null
     */
    public function getRemoteServerName3()
    {
        return $this->RemoteServerName3;
    }
    /**
     * Set RemoteServerName3 value
     * @param string $remoteServerName3
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSyslogConfig
     */
    public function setRemoteServerName3($remoteServerName3 = null)
    {
        $this->RemoteServerName3 = $remoteServerName3;
        return $this;
    }
    /**
     * Get RemoteServerName4 value
     * @return string|null
     */
    public function getRemoteServerName4()
    {
        return $this->RemoteServerName4;
    }
    /**
     * Set RemoteServerName4 value
     * @param string $remoteServerName4
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSyslogConfig
     */
    public function setRemoteServerName4($remoteServerName4 = null)
    {
        $this->RemoteServerName4 = $remoteServerName4;
        return $this;
    }
    /**
     * Get RemoteServerName5 value
     * @return string|null
     */
    public function getRemoteServerName5()
    {
        return $this->RemoteServerName5;
    }
    /**
     * Set RemoteServerName5 value
     * @param string $remoteServerName5
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSyslogConfig
     */
    public function setRemoteServerName5($remoteServerName5 = null)
    {
        $this->RemoteServerName5 = $remoteServerName5;
        return $this;
    }
    /**
     * Get monitor value
     * @return string|null
     */
    public function getMonitor()
    {
        return $this->monitor;
    }
    /**
     * Set monitor value
     * @param string $monitor
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSyslogConfig
     */
    public function setMonitor($monitor = null)
    {
        $this->monitor = $monitor;
        return $this;
    }
    /**
     * Get Enable value
     * @return string|null
     */
    public function getEnable()
    {
        return $this->Enable;
    }
    /**
     * Set Enable value
     * @param string $enable
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSyslogConfig
     */
    public function setEnable($enable = null)
    {
        $this->Enable = $enable;
        return $this;
    }
}
